Updates open hours configurations for store
Permissions: Administrator, MultiUnit users.
Path Parameters
- Type: integerFormat: int32store
Id requiredSigned 32-bit integers (commonly used integer type).
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
- Type: array of integer | nullFormat: int32Delete
- Properties: 15Type:Insert
- Properties: 14Type:Update
Responses
Request Example for put/v2/admin/store/{storeId}/openhours
curl /v2/admin/store/1/openhours \
--request PUT \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"Delete": [
1
],
"Update": [
{
"Id": 1,
"FrequencyType": {
"Value": "D"
},
"Weekdays": {},
"RecurringMonth": 1,
"RecurringDay": 1,
"SpecificDate": {},
"EffectiveStartDate": {},
"EffectiveEndDate": {},
"OpenTime": {},
"CloseTime": {},
"SeasonalStartDay": 1,
"SeasonalEndDay": 1,
"SeasonalStartMonth": 1,
"SeasonalEndMonth": 1
}
],
"Insert": [
{
"Description": null,
"Notes": null,
"FrequencyType": "D",
"Weekdays": [
0
],
"RecurringMonth": null,
"RecurringDay": null,
"SpecificDate": null,
"EffectiveStartDate": "",
"EffectiveEndDate": "",
"OpenTime": "",
"CloseTime": "",
"SeasonalStartDay": null,
"SeasonalEndDay": null,
"SeasonalStartMonth": null,
"SeasonalEndMonth": null
}
]
}'
[
{
"ID": 1,
"UnitID": 1,
"Description": null,
"Notes": null,
"FrequencyType": "D",
"Weekdays": [
0
],
"RecurringMonth": null,
"RecurringDay": null,
"SpecificDate": null,
"EffectiveStartDate": null,
"EffectiveEndDate": null,
"OpenTime": "20:54:18",
"CloseTime": "20:54:18",
"SeasonalStartDay": null,
"SeasonalEndDay": null,
"SeasonalStartMonth": null,
"SeasonalEndMonth": null
}
]